Commit 57a9e839 authored by Mathis Rosenhauer's avatar Mathis Rosenhauer

Use curl instead of wget to fetch remote data

parent 9bfaf0cf
...@@ -4,11 +4,11 @@ AEC=../src/aec ...@@ -4,11 +4,11 @@ AEC=../src/aec
test_data=https://gitlab.dkrz.de/k202009/libaec/raw/master/data/typical.rz test_data=https://gitlab.dkrz.de/k202009/libaec/raw/master/data/typical.rz
if [ ! -f typical.dat ]; then if [ ! -f typical.dat ]; then
rm -f typical.rz rm -f typical.rz
type wget >/dev/null 2>&1 || { type curl >/dev/null 2>&1 || {
echo >&2 "wget not found. Please download $test_data by other means and place it in tests. Aborting." echo >&2 "curl not found. Please download $test_data by other means and place it in tests. Aborting."
exit 1 exit 1
} }
wget $test_data || { curl $test_data -O || {
echo >&2 "Could not download $test_data. Please download it by other means and place it in tests. Aborting." echo >&2 "Could not download $test_data. Please download it by other means and place it in tests. Aborting."
exit 1 exit 1
} }
......
...@@ -8,11 +8,11 @@ LOWE=${CCSDS_DATA}/LowEntropyOptions ...@@ -8,11 +8,11 @@ LOWE=${CCSDS_DATA}/LowEntropyOptions
archive=121B2TestData.zip archive=121B2TestData.zip
archive_url=http://cwe.ccsds.org/sls/docs/SLS-DC/BB121B2TestData/$archive archive_url=http://cwe.ccsds.org/sls/docs/SLS-DC/BB121B2TestData/$archive
if [ ! -f $archive ]; then if [ ! -f $archive ]; then
type wget >/dev/null 2>&1 || { type curl >/dev/null 2>&1 || {
echo >&2 "wget not found. Please download $archive_url by other means and place it in tests.\nAborting." echo >&2 "curl not found. Please download $archive_url by other means and place it in tests.\nAborting."
exit 1 exit 1
} }
wget $archive_url || { curl $archive_url -O || {
echo >&2 "Could not download $archive_url. Please download $archive by other means and place it in tests. Aborting." echo >&2 "Could not download $archive_url. Please download $archive by other means and place it in tests. Aborting."
exit 1 exit 1
} }
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment